@import url('https://fonts.googleapis.com/css2?family=Chango&family=Courgette&family=Edu+AU+VIC+WA+NT+Hand:wght@400..700&family=Leckerli+One&family=Playwrite+NO&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=rem:ital,wght@0,100..900;1,100..900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&family=Rufina:wght@400;700&family=Titan+One&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Chango&family=Courgette&family=Edu+AU+VIC+WA+NT+Hand:wght@400..700&family=Playwrite+NO:wght@100..400&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=rem:ital,wght@0,100..900;1,100..900&family=Rufina:wght@400;700&family=Titan+One&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Chango&family=Courgette&family=Edu+AU+VIC+WA+NT+Hand:wght@400..700&family=Leckerli+One&family=Playwrite+NO&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=rem:ital,wght@0,100..900;1,100..900&family=Raleway:ital,wght@0,100..900;1,100..900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&family=Rufina:wght@400;700&family=Titan+One&display=swap');

:root{  
    --cor-primaria: #E8C9B5;  
    --cor-azul: #e9d7fd;  
    --cor-claro: #f7f0e6;  
    --cor-branco: #ffffff;  
    --cor--escuro: #3c1613;
    --cor-secundaria: #927f52;
    --cor--clara: #dbdeda;
    --cor-verde:#faf3ec; 
    --cor-azul: #888888;  
    --cor-azul-escuro: #faf3ec;  
    --subtitulo: #e5dec2;
    --cor-black: #ff4700;  
    --laranja-escuro:#ff4700;  
    --cor--marron: #444444;
    --cor--black: #dbdeda;
    --branco: #ffffff;
    --pastel:#faf3ec;
    --titulos: #90421c;
  }  
  

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
  
body .html{
    font-family: 'Arial', sans-serif;
    color: #493e51; 
    background-color:var(--pastel);
    line-height: 1.6;
    overflow-x: hidden;
    font-weight: 300;
    height: 100%;
}


.navbar {  
    background:var(--cor-black);  
    padding: 10px 10px; 
   
      
}  

.navbar-container {  
    display: flex;  
    align-items: center;  
    justify-content: space-between;  
    
}  


.menu-toggle {  
    display: none; /* Oculta em telas maiores */  
    flex-direction: column;  
    cursor: pointer;  
}  

.menu-toggle span {  
    height: 3px;  
    width: 25px;  
    background: white;  
    margin: 5px 0;  
}  

/* Adicionando estilos para o menu */  
.nav-menu {  
    display: flex;  
}  

.nav-menu li {  
    list-style: none;  
    margin-left: 20px; /* Espaçamento entre os itens do menu */  
}  

.nav-menu a {  
    color: white;  
    text-decoration: none;  
    text-transform: uppercase;
    align-items: end;
    text-align: end;
    display: flex;  
   
} 
.nav-menu li a::after {
    content: '';
    position: absolute;
    width: 0;
    height: 2px;
    bottom: -5px;
    left: 0;
    background-color:var(--cor--escuro);
    transition: width 0.3s ease;
}

.nav-menu li a:hover {
    color: var(--cor--escuro);
}


/* Media query para telas pequenas */  
@media screen and (max-width: 768px) {  
    .menu-toggle {  
        display: flex; /* Mostra o toggle em telas pequenas */ 
        margin-right: 10px; 
    }  
    
    .nav-menu {  
        display: none; /* Oculta o menu por padrão */  
        flex-direction: column; /* Alinhamento vertical */  
        position: absolute; /* Necessário para o menu flutuar */  
        left: 0px; /* Alinhado à esquerda */  
        top:60px; /* Ajustar a posição em relação à navbar */  
        background:var(--cor-secundaria); /* Cor de fundo do menu */  
        width: 100%; /* Largura total */  
        z-index: 10; /* Garante que fique acima de outros elementos */
            
    }  
    
    .nav-menu.active {  
        display: flex; /* Exibe o menu quando ativo */  
    }  

    .nav-menu li {  
        margin: 15px 10px; /* Espaçamento vertical para itens do menu */  
    }  
   
}  

.image-container:hover .moving-image {
    transform: scale(1.05) rotate(2deg);
        
}

.moving-image{
    margin-top: 60px;
    width: 70%;
    height: 70%;
}
.bounce-in {
    animation: bounceIn 0.8s ease-out;
}
@keyframes bounceIn {
    0% { opacity: 0; transform: scale(0.3); }
    50% { opacity: 0.9; transform: scale(1.1); }
    70% { opacity: 1; transform: scale(0.9); }
    100% { opacity: 1; transform: scale(1); }
}

.img-cozinha {
  width: 50%;
  max-width: 800px;
  height: auto;
  display: block;
  margin: -200px auto;
  border-radius: 15px;
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
  transition: transform 0.3s ease;
}

.img-cozinha:hover {
  transform: scale(1.02);
}

.text-p2{
  margin-top: 4px;
  margin-left:60px;
  font-size: 1rem;
  color: var(--cor-black);
  display: flex;
  justify-content: baseline;
  align-items: center;
  text-align:center;
  font-family: "Poppins", Haettenschweiler, 'Arial Narrow Bold', sans-serif;
  
}

strong{
  color: var(--cor-black);
  font-family: "Poppins", Haettenschweiler, 'Arial Narrow Bold', sans-serif;
  font-size: 1rem;

}

span{
  margin-left: 20px;
  color: var(--cor--marron);
  font-family: 'Arial Narrow Bold', sans-serif;
  font-size: 0.9rem;
  justify-content: baseline;
  align-items: left;
  text-align: justify;
  
}
.text-p{
  margin: 20px 10px;
  font-size: 1rem;
  color: var(--branco);
  margin-left:40px;
  display: flex;
  justify-content: baseline;
  align-items: left;
  text-align: justify;
  font-weight: bold;
  font-family: "Poppins", Haettenschweiler, 'Arial Narrow Bold', sans-serif;

}
.text-p3{
  margin: 20px 10px;
  font-size: 1rem;
  color: var(--cor-black);
  display: flex;
  justify-content: baseline;
  align-items: left;
  text-align: justify;
  font-weight: bold;
  font-family: "Poppins", Haettenschweiler, 'Arial Narrow Bold', sans-serif;
  
}
.text-h2 {
    margin-top: 10px;
    padding-left: 35px; /* Inicialmente fora da tela */
    color: var(--laranja-escuro);
    font-size: 2.7vw;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: "Rufina", serif;
    font-weight: bold;
    animation: slideInRight 0.5s ease-in-out; 
  }
  
  @keyframes slideInRight {
    0% {
      transform: translateX(-100%); 
      opacity: 0;
    }
    100% {
      transform: translateX(0); 
      opacity: 1;
    }
  }

#subir{
	position:fixed;
	bottom:0px;
	right:0px;
}

.titulo{
    margin-top: 50px;
    color: var(--cor-black);
    font-size: 3.5vw;
    display: flex;
    font-weight: bold;
    margin-left: 20px;
    justify-content: center;
    align-items: center;
    font-family: "Rufina", serif;
    animation: slideInRight 0.5s ease-in-out; 
  }
  
  @keyframes slideInRight {
    0% {
      transform: translateX(-100%);
      opacity: 0;
    }
    100% {
      transform: translateX(0);
      opacity: 1;
    }
  }
  
  /* Espaçamento entre linhas */
#titulo {
    line-height: 1.2; /* Ajuste este valor conforme necessário */
  }


.text-2xl {
    margin-top: 50px;
    color: var(--titulos);
    font-size: 3.5vw;
    display: flex;
    font-weight: bold;
    margin-left: 40px;
    justify-content: center;
    align-items: center;
    font-family: "Rufina", serif;
    animation: slideInRight 0.5s ease-in-out; 
  }
  
  @keyframes slideInRight {
    0% {
      transform: translateX(-100%);
      opacity: 0;
    }
    100% {
      transform: translateX(0);
      opacity: 1;
    }
  }
  

.logo-text{
    color: var(--branco);
    margin-left: 80px;
    font-family: "Courgette", cursive;
    font-size: 2rem;
    text-transform: none;
    margin-right: 160px;
    
}

.logo2 {
  width: 18%;
  margin-top: 50px;
  margin-left: 20px;
  height: auto;
  vertical-align: middle;
}
.logo3 {
  display: block;
  width: 150px;
  height: auto;
  margin: 0 auto -30px; /* Margem negativa para sobrepor ao container */
  position: relative;
  z-index: 2;
  animation: floatLogo 3s ease-in-out infinite;
}

@keyframes floatLogo {
  0%, 100% { transform: translateY(0); }
  50% { transform: translateY(-10px); }
}


.brasao {
    position: fixed;
    z-index: 10;
    width: 150px; /* Ajuste o tamanho conforme necessário */
    height: auto;
    top: 100px; /* Ajuste negativo para sobrepor */
    right: 50px; /* Posiciona à direita */
    transform: translateY(-50%);
    background:transparent; /* Fundo branco para dar destaque */
    padding: 10px;
    border-radius: 50%; /* Formato circular */
    box-shadow: 0 4px 6px rgba(0,0,0,0.1);
    z-index: 20;
}



.container {
  max-width: 1200px;
  margin: 40px auto;
  padding: 0 20px;
}

.card {
  background: #fff;
  border-radius: 15px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  overflow: hidden;
}

.article-header {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 30px;
  padding: 30px;
}
.bi-facebook{
    font-size: 20px;
    margin-right: 10px;
   
}

.bi-facebook:hover{
    color: #3b5998; 
}

.bi-instagram {
    font-size: 20px;
    margin-right: 10px;
}

.bi-instagram:hover{
    color: #e1306c; 
}
.image-container {
  position: relative;
  overflow: hidden;
  border-radius: 10px;
  height: 100%;
  min-height: 400px;
}

.image-container img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: transform 0.3s ease;
}

.image-container:hover img {
  transform: scale(1.05);
}

.header-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
}


.article-content {
  padding: 30px;
  border-top: 1px solid #eee;
}

.card-text {
  margin-top: 30px;
  margin: 20px;
  color: #555;
  font-size: 1.1rem;
  line-height: 1.8;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
}

.card-text:last-child {
  margin-bottom: 0;
}

.text{
  margin-top: 200px;
 
}
/*babysitters*/

.page-container {
  display: flex;
  max-width: 1200px;
  margin: 0 auto;
  gap: 40px;
  padding: 20px;
  background-color:var(--pastel);
  margin-top: 10px;
}

.content-section {
  margin-top: 40px;
  flex: 1;
  padding: 20px;
  
}

.carousel-container {
  margin-top: 90px;
  position: relative;
  width: 400px;
  overflow: hidden;
}

.carousel {
  display: flex;
  transition: transform 0.5s ease-in-out;
}

.slide {
  position: relative;
  min-width: 100%;
  height: 300px;
}

.slide img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.slide-text {
  position: absolute;
  top: 80%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: white;
  text-align: center;
  font-size: 24px;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
  z-index: 2;
}

.nav-button {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background: rgba(0, 0, 0, 0.5);
  color: white;
  padding: 10px;
  cursor: pointer;
  border: none;
  z-index: 3;
}

.prev { left: 10px; }
.next { right: 10px; }

.dots {
  display: flex;
  justify-content: center;
  margin-top: 10px;
}

.dot {
  width: 10px;
  height: 10px;
  border-radius: 50%;
  background: #ccc;
  margin: 0 5px;
  cursor: pointer;
}

.dot.active {
  background: #333;
}

.glass-container {
  max-width: 800px;
  margin-left: 290px;
  margin-top:-40px;
  padding: 30px;
  background: var(--cor-black);
  backdrop-filter: blur(10px);
  border-radius: 15px;
  box-shadow: 0 8px 32px rgba(0, 0, 0, 0.1);
  color: white;
  text-align: center;
  position: relative;
  
 
}

.glass-container h2 {
  margin-top: 30px;
  font-size: 24px;
  margin-bottom: 20px;  
  text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.2);
  
 
}

.training-list {
  text-align: left;
  max-width: 600px;
  margin: 0 auto;
  line-height: 1.6;
  
  }


.training-list li {
  margin: 12px 0px;
  padding-left: 1rem;
  position: relative;
  font-family: "Poppins", Verdana, Geneva, Tahoma, sans-serif;
  
}

.training-list li:before {
  position: absolute;
  left: 0;
  color: #fff;
}


@media (max-width: 600px) {
  .glass-container {
    margin: 10px;
    padding: 20px;
  }

  .glass-container h2 {
    font-size: 20px;
  }
}
@media (max-width: 900px) {
  .page-container {
    flex-direction: column;
  }

  .carousel-container {
    width: 100%;
    max-width: 400px;
    margin: 0 auto;
  }
}

@media (max-width: 991px) {
  .article-header {
      grid-template-columns: 1fr;
      gap: 20px;
  }

  .image-container {
      min-height: 300px;
  }

  .text-h2 {
      font-size: 1.8rem;
      
  }
}

@media (max-width: 768px) {
  .container {
      margin: 20px auto;
  }

  .article-header {
      padding: 20px;
  }

  .article-content {
      padding: 20px;
  }

  .text-h2 {
      font-size: 1.5rem;
     
  }

  .card-text {
      font-size: 1rem;
      margin: 15px;
      text-align: justify;
  }
    
  .img-cozinha {
    width: 50%;
    max-width: 800px;
    height: auto;
    display: block;
    margin-top: -110px;
    margin-left: 90px;
    border-radius: 15px;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease;
  }
  
  .img-cozinha:hover {
    transform: scale(1.02);
  }
  .content-section {
    margin-top: -50px;
    flex: 1;
    padding: 0px;
    margin: -10px;
    
  }
 
  .page-container {
    display: flex;
    max-width: 1200px;
    margin: 0 auto;
    gap: 40px;
    padding: 20px;
    background-color:var(--pastel);
    
  }
}

footer {
  background-color: var(--cor-black); /* Cor neutra e calma */
  color: #2a2131; /* Tom escuro suave para texto */
  padding: 20px 0;
  text-align: center;
  font-family: 'Arial', sans-serif;
  font-size: 14px;
  width: 100%;
  margin-top: 20px;
  flex-shrink: 0; /* Impede que o footer encolha */
  position: relative; /* Ou absolute, dependendo do design específico */
 
}

footer a {
  color: #e6e2ec; 
  text-decoration: none;
}

footer p {
  color: #e6e2ec; 
  text-decoration: none;
  margin-bottom: 5px;
}

footer a:hover {
  text-decoration: underline;
}

.footer-container {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 20px;
 
}


@media (max-width: 768px) {
    .brasao {
        position: fixed;
        z-index: 10;
        width: 100px; /* Ajuste o tamanho conforme necessário */
        height: auto;
        top: 90px; /* Ajuste negativo para sobrepor */
        right: 50px; /* Posiciona à direita */
        transform: translateY(-50%);
        background:transparent; /* Fundo branco para dar destaque */
        padding: 10px;
        border-radius: 50%; /* Formato circular */
        box-shadow: 0 4px 6px rgba(0,0,0,0.1);
    }
    .logo-text{
        color:var(--cor-branco);
        font-family: "Courgette", cursive;
        font-size: 1rem;
        text-transform: none;
        margin-top: 10px;
        margin-left: 10px;
    }        
    
    .text-p2{
        margin-top: 4px;
        margin: 20px;
        font-size: 1rem;
        color: var(--cor-black);
        display: flex;
        justify-content: baseline;
        align-items: center;
        text-align:center;
        font-family: "Poppins", Haettenschweiler, 'Arial Narrow Bold', sans-serif;
        
    }
    
    .about-image {
        max-width: 90%;
        margin-left: 10px;
        border-radius: 30px 30px 30px 30px;
    }
    .text-h2 {
        margin-top: 40px;
        padding: 10px; /* Inicialmente fora da tela */
        color: var(--cor-black);
        font-size: 2rem;
        display: flex;
        justify-content: center;
        align-items: center;
        font-family: "Rufina", serif;
        font-weight: bold;
        animation: slideInRight 0.5s ease-in-out; 
      }
      
      @keyframes slideInRight {
        0% {
          transform: translateX(-100%); 
          opacity: 0;
        }
        100% {
          transform: translateX(0); 
          opacity: 1;
        }
      }
      .footer {
        position: absolute;
        bottom: 0;
        left: 0;
        width: 100%;
       
    }
  }

    